local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
    disableMovement()
	walkTo(2974)
	player.Facing = getEnum("Celeste.Facings", "Right")
	if getFlag("CC_Omori_maripicnic_talked") then
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_Omori_maripicnic_B"))
	else
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_Omori_maripicnic"))
	end
end

function onEnd()
    enableMovement()
	setFlag("CC_Omori_maripicnic_talked",true)
end